#!/bin/sh
cd $TESTRTDIR
echo "Generating adagnat TDP"
TestRTperl -I $TESTRTDIR/lib/perl $TESTRTDIR/lib/scripts/tdpgen.pl $TESTRTDIR/targets/xml/adagnat.xdp $TESTRTDIR/targets
echo "Generating adaunxapex TDP"
TestRTperl -I $TESTRTDIR/lib/perl $TESTRTDIR/lib/scripts/tdpgen.pl $TESTRTDIR/targets/xml/adaunxapex.xdp $TESTRTDIR/targets





echo "Generating cunxdiabsgstep TDP"
TestRTperl -I $TESTRTDIR/lib/perl $TESTRTDIR/lib/scripts/tdpgen.pl $TESTRTDIR/targets/xml/cunxdiabsgstep.xdp $TESTRTDIR/targets

if [ ! -z "$WIND_BASE" ] # This env variable exist so generation of the following TDP
then
        echo "Generating colvxsim TDP"
        TestRTperl -I $TESTRTDIR/lib/perl $TESTRTDIR/lib/scripts/tdpgen.pl $TESTRTDIR/targets/xml/csolvxsim.xdp $TESTRTDIR/targets
        echo "Generating csolvxppc TDP"
        TestRTperl -I $TESTRTDIR/lib/perl $TESTRTDIR/lib/scripts/tdpgen.pl $TESTRTDIR/targets/xml/csolvxppc.xdp $TESTRTDIR/targets
        echo "Generating csolvx386 TDP"
        TestRTperl -I $TESTRTDIR/lib/perl $TESTRTDIR/lib/scripts/tdpgen.pl $TESTRTDIR/targets/xml/csolvx386.xdp $TESTRTDIR/targets
fi



cd $TESTRTDIR
TestRTperl -I $TESTRTDIR/lib/perl $TESTRTDIR/lib/scripts/ConfigureGcc.pl
TestRTperl -I $TESTRTDIR/lib/perl $TESTRTDIR/lib/scripts/ConfigureJavac.pl


if [ `uname` = "Linux" -o `uname` = "SunOS" ]
then
   TestRTperl -I $TESTRTDIR/lib/perl $TESTRTDIR/lib/scripts/ConfigureRoseRT.pl
fi

# Case of the Linux machine is a 64 bits machine
# Copy of the clinuxgnu3_2.xdp in clinuxgnu3_2_64bits.xdp
# with following changes:
#  Name = "Linux - Gnu 3.x 64 bits"
# "RTRT_64_BITS_PTR" is set to 1
# "RTRT_SIZE_T" is set to unsigned long (instead of unsigned int)
if [ `uname` = "Linux" ]
then
   if [ `uname -m` = "x86_64" ]
   then
        cd $TESTRTDIR/targets/xml/
        sed -e 's/Name="Linux - Gnu 3.x"/Name="Linux - Gnu 3.x 64 bits"/' \
            -e 's/<BINARY_MACRO Doc="PTR64BITS" Name="RTRT_64_BITS_PTR" Value="0"/<BINARY_MACRO Doc="PTR64BITS" Name="RTRT_64_BITS_PTR" Value="1"/' \
            -e 's/<VALUE>--dollar/<VALUE>--dollar \n --targ_size_t_int_kind 8/' \
            -e 's/--simulate_called_routines/--simulate_called_routines\n --diag_suppress 61,69 /' \
            -e '/RTRT_SIZE_T/,/\/TEXT_MACRO/s/unsigned int/unsigned long/' clinuxgnu3_2.xdp > clinuxgnu3_2_64bits.xdp
	echo "Generating clinuxgnu3_2_64bits TDP"
        TestRTperl -I $TESTRTDIR/lib/perl $TESTRTDIR/lib/scripts/tdpgen.pl $TESTRTDIR/targets/xml/clinuxgnu3_2_64bits.xdp $TESTRTDIR/targets





   fi
fi



cd  $TESTRTDIR/targets
